Bug 1418025 - The kickstart repositories are accessible although we cannot use them
Summary: The kickstart repositories are accessible although we cannot use them
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 570
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gennadii Altukhov
QA Contact: Martin Korbel
URL:
Whiteboard:
Depends On: 1154548
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2017-01-31 16:13 UTC by Martin Korbel
Modified: 2017-06-21 12:07 UTC (History)
5 users (show)

Fixed In Version: spacewalk-backend-2.5.3-102
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:07:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Korbel 2017-01-31 16:13:03 UTC
Description of problem:
In WebUI (https://<fqdn>/rhn/kickstart/KickstartSoftwareEdit.do), we can mark the kickstart repository checkboxs in situation when we haven't synced relevant child channels.

Version-Release number of selected component (if applicable):
Sat5.7
Sat5.8

How reproducible:
100%

Steps to Reproduce:
1. we have satellite with synced rhel7 channel (without rhel-x86_64-server-rs-7 or rhel-x86_64-server-ha-7)
2. we create new kickstart profile and open tab Kickstart Details > Operating System.


Actual results:
We can mark the HighAvailability and ResilientStorage checkbox.

Expected results:
We should not have a chance to mark the HighAvailability and ResilientStorage checkbox, when these channels are not accessible.

Additional info:
this problem touches the bigger problem about different behavior of kickstart addons in RHEL6 x RHEL7 from RHN x CDN. 

RHEL6 kickstart tree from RHN contains RPMs and this feaures can be installed from there. 
RHEL7 from RHN/CDN and RHEL6 from CDN don't contain RPMs and we need have synced relevant child channels.

It makes a different behavior for upgraded satellite 5.8 and clean installation of sat5.8.

Comment 5 Gennadii Altukhov 2017-03-03 13:11:36 UTC
The bug is fixed in upstream. spacewalk.git:
f119af4e8a5a4e2c0d8b7e7d407e960972e0b97e

Comment 9 Gennadii Altukhov 2017-03-20 13:06:22 UTC
spacewalk.git:
96388f9bef9a0cf7f748f3f32ed30248b48dba21

Comment 16 Jan Dobes 2017-04-05 15:14:14 UTC
adding small fix to not re-download all addon content on every cdn-sync run, sw master:

7abde64b97fbf54b17ce67de3976377b0ad131ea

Comment 19 Martin Korbel 2017-05-10 11:34:11 UTC
VERIFIED on spacewalk-backend-2.5.3-121 (Satellite-5.8-RHEL-6-20170504)

Reproducer:
1. We have got Satellite 5.8 without any HighAvailability child channels.
2. We synchronize base channels for RHEL6 & 7 x86_64 with kickstar trees.
3. We create new kickstart profiles for RHEL6.5, RHEL6.9 and RHEL7.3. We process below steps for each of this profile.
  4. Check the box "HighAvailability" on the page (Kickstart Details > Operating   System > Software URL)
  5. Add a new package group "@ha" for install (Software > Package Groups)
  6. Provision the system from this kickstart profile. The installation has to pass without error about missing packages.

Comment 20 Pavel Studeník 2017-06-13 15:46:48 UTC
Valid synced repository:

http://<fqdn>/ks/dist/ks-rhel-x86_64-server-7-7.3/addons/HighAvailability
...
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-7-7.0/addons/HighAvailability
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-6-6.9/HighAvailability
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-6-6.8/HighAvailability
...
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-6-6.5/HighAvailability
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-6-6.1/HighAvailability
...
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-5-5.11/VT
http://<fqdn>/ks/dist/ks-rhel-x86_64-server-5-5.8/VT

Re-verified with

spacewalk-backend-2.5.3-143.el6sat.noarch
cdn-sync-mappings-2.2-1.el6sat.noarch


Note You need to log in before you can comment on or make changes to this bug.